Rapid7 Vulnerability & Exploit Database

Debian: CVE-2021-43845: pjproject, ring -- security update

Back to Search

Debian: CVE-2021-43845: pjproject, ring -- security update

Severity
6
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:P)
Published
12/27/2021
Created
03/30/2022
Added
03/29/2022
Modified
03/29/2022

Description

PJSIP is a free and open source multimedia communication library. In version 2.11.1 and prior, if incoming RTCP XR message contain block, the data field is not checked against the received packet size, potentially resulting in an out-of-bound read access. This affects all users that use PJMEDIA and RTCP XR. A malicious actor can send a RTCP XR message with an invalid packet size.

Solution(s)

  • debian-upgrade-pjproject
  • debian-upgrade-ring

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;